Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 7328)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 7333)
@@ -109,8 +109,8 @@
         return (self.context, 'administration')
 
-class FacultyContainerBreadcrumb(Breadcrumb):
+class FacultiesContainerBreadcrumb(Breadcrumb):
     """A breadcrumb for faculty containers.
     """
-    grok.context(interfaces.IFacultyContainer)
+    grok.context(interfaces.IFacultiesContainer)
     title = u'Academics'
 
@@ -179,14 +179,14 @@
     grok.context(interfaces.ICertificate)        
 
-class CourseContainerBreadcrumb(Breadcrumb):
+class CoursesContainerBreadcrumb(Breadcrumb):
     """ We don't want course container breadcrumbs.
     """
-    grok.context(interfaces.ICourseContainer)
+    grok.context(interfaces.ICoursesContainer)
     grok.implements(IBreadcrumbIgnorable)
 
-class CertificateContainerBreadcrumb(Breadcrumb):
+class CertificatesContainerBreadcrumb(Breadcrumb):
     """ We don't want course container breadcrumbs.
     """
-    grok.context(interfaces.ICertificateContainer)
+    grok.context(interfaces.ICertificatesContainer)
     grok.implements(IBreadcrumbIgnorable)
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 7328)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 7333)
@@ -517,11 +517,11 @@
 --------------
 
-Courses are stored in :class:`ICourseContainer` instances with their
-code as key. CourseContainers are normally availabe as `course`
+Courses are stored in :class:`ICoursesContainer` instances with their
+code as key. CoursesContainers are normally availabe as `course`
 attribute of :class:`waeup.sirp.university.department.Department`
 instances.
 
 To ease the life of users we do not require to browse the
-coursecontainers (which have a rather flat user interface), but
+coursescontainers (which have a rather flat user interface), but
 provide adding of courses in department views.
 
@@ -728,11 +728,11 @@
 -------------------
 
-Certificates are stored in :class:`ICertificateContainer` instances
-with their code as key. CertificateContainers are normally availabe as
+Certificates are stored in :class:`ICertificatesContainer` instances
+with their code as key. CertificatesContainers are normally availabe as
 `certificates` attribute of
 :class:`waeup.sirp.university.department.Department` instances.
 
 To ease the life of users we do not require to browse the
-certificatecontainers (which have in fact no user interface), but
+certificatescontainers (which have in fact no user interface), but
 provide adding of certificates in department views.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py	(revision 7328)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py	(revision 7333)
@@ -23,6 +23,6 @@
     ISIRPObject, IUniversity, IUsersContainer, IDataCenter)
 from waeup.sirp.university.interfaces import (
-    IFacultyContainer, IFaculty, IFacultyAdd, IDepartment, IDepartmentAdd,
-    ICourseContainer, ICourse, ICourseAdd, ICertificateContainer,
+    IFacultiesContainer, IFaculty, IFacultyAdd, IDepartment, IDepartmentAdd,
+    ICoursesContainer, ICourse, ICourseAdd, ICertificatesContainer,
     ICertificate, ICertificateAdd, ICertificateCourse, ICertificateCourseAdd)
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7328)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7333)
@@ -41,5 +41,5 @@
     SIRPDisplayFormPage, NullValidator)
 from waeup.sirp.browser.interfaces import (
-    IUniversity, IFacultyContainer, IFaculty, IFacultyAdd,
+    IUniversity, IFacultiesContainer, IFaculty, IFacultyAdd,
     IDepartment, IDepartmentAdd, ICourse, ICourseAdd, ICertificate,
     ICertificateAdd, ICertificateCourse, ICertificateCourseAdd)
@@ -539,5 +539,5 @@
     """General search page for the academics section.
     """
-    grok.context(IFacultyContainer)
+    grok.context(IFacultiesContainer)
     grok.name('search')
     grok.template('searchpage')
@@ -1173,11 +1173,11 @@
 
 #
-# FacultyContainer pages...
-#
-
-class FacultyContainerPage(SIRPPage):
+# FacultiesContainer pages...
+#
+
+class FacultiesContainerPage(SIRPPage):
     """ Index page for faculty containers.
     """
-    grok.context(IFacultyContainer)
+    grok.context(IFacultiesContainer)
     grok.require('waeup.viewAcademics')
     grok.name('index')
@@ -1187,11 +1187,11 @@
     grok.template('facultypage')
 
-class FacultyContainerManageFormPage(SIRPEditFormPage):
+class FacultiesContainerManageFormPage(SIRPEditFormPage):
     """Manage the basic properties of a `Faculty` instance.
     """
-    grok.context(IFacultyContainer)
+    grok.context(IFacultiesContainer)
     grok.name('manage')
     grok.require('waeup.manageUniversity')
-    grok.template('facultycontainermanagepage')
+    grok.template('facultiescontainermanagepage')
     pnav = 1
     taboneactions = ['Add faculty', 'Remove selected','Cancel']
@@ -1206,5 +1206,5 @@
         tabs.need()
         warning.need()
-        return super(FacultyContainerManageFormPage, self).update()
+        return super(FacultiesContainerManageFormPage, self).update()
 
     @jsaction('Remove selected')
@@ -1227,5 +1227,5 @@
     """ Page form to add a new faculty to a faculty container.
     """
-    grok.context(IFacultyContainer)
+    grok.context(IFacultiesContainer)
     grok.require('waeup.manageUniversity')
     grok.name('add')
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt	(revision 7333)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt	(revision 7333)
@@ -0,0 +1,63 @@
+<h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+<div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+    Form Status:
+    <span i18n:translate="" tal:content="view/status">
+      Form status summary
+    </span>
+</div>
+
+<form action="." tal:attributes="action request/URL" method="POST"
+      class="edit-form" enctype="multipart/form-data">
+
+  <div id="tabs">
+    <ul>
+      <li><a href="#tab-1">
+        <span tal:content="view/subunits">Contents</span>
+      </a></li>
+    </ul>
+
+    <div id="tab-1">
+      <h3 tal:content="view/subunits">Faculties</h3>
+      <table class="zebra">
+        <thead>
+          <tr>
+            <th>&nbsp;</th><th>Code</th><th>Title</th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="dep context/values">
+            <td>
+              <input type="checkbox"
+                     name="val_id"
+                     tal:attributes="value dep/code" />
+            </td>
+            <td>
+              <a tal:attributes="href python: view.url(dep)"
+                 tal:content="dep/__name__">
+                ID
+              </a>
+            </td>
+            <td>
+              <span tal:content="dep/title">
+                ID
+              </span>
+            </td>
+          </tr>
+        </tbody>
+      </table>
+      <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+
+    </div>
+  </div>
+</form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt	(revision 7328)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-<div class="form-status"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
-
-<form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data">
-
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1">
-        <span tal:content="view/subunits">Contents</span>
-      </a></li>
-    </ul>
-
-    <div id="tab-1">
-      <h3 tal:content="view/subunits">Faculties</h3>
-      <table class="zebra">
-        <thead>
-          <tr>
-            <th>&nbsp;</th><th>Code</th><th>Title</th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="dep context/values">
-            <td>
-              <input type="checkbox"
-                     name="val_id"
-                     tal:attributes="value dep/code" />
-            </td>
-            <td>
-              <a tal:attributes="href python: view.url(dep)"
-                 tal:content="dep/__name__">
-                ID
-              </a>
-            </td>
-            <td>
-              <span tal:content="dep/title">
-                ID
-              </span>
-            </td>
-          </tr>
-        </tbody>
-      </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions"
-              tal:omit-tag="">
-          <input tal:condition="python:action.label in view.taboneactions"
-                 tal:replace="structure action/render"/>
-        </span>
-      </div>
-
-    </div>
-  </div>
-</form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7328)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7333)
@@ -22,9 +22,9 @@
 from zope.traversing.browser import absoluteURL
 from waeup.sirp.browser.pages import (
-    UniversityPage, FacultyContainerPage, DatacenterPage, FacultyPage,
+    UniversityPage, FacultiesContainerPage, DatacenterPage, FacultyPage,
     DepartmentPage, CoursePage, CertificatePage, CertificateCoursePage,
     UsersContainerPage, UserManageFormPage)
 from waeup.sirp.browser.interfaces import (
-    IFacultyContainer, IFaculty, IDepartment, ICourse, ICertificate,
+    IFacultiesContainer, IFaculty, IDepartment, ICourse, ICertificate,
     ICertificateCourse, IBreadcrumbContainer, IUniversity, IUsersContainer)
 from waeup.sirp.interfaces import (ISIRPObject, ISIRPXMLExporter,
@@ -396,16 +396,16 @@
     text = 'Edit settings'
 
-class ManageFacultyContainerActionButton(ManageActionButton):
+class ManageFacultiesContainerActionButton(ManageActionButton):
     """ 'Manage settings' button for faculties.
     """
-    grok.context(IFacultyContainer)
-    grok.view(FacultyContainerPage)
+    grok.context(IFacultiesContainer)
+    grok.view(FacultiesContainerPage)
     text = 'Manage academic section'
 
-class SearchFacultyContainerActionButton(ManageActionButton):
+class SearchFacultiesContainerActionButton(ManageActionButton):
     """ 'Manage settings' button for faculties.
     """
-    grok.context(IFacultyContainer)
-    grok.view(FacultyContainerPage)
+    grok.context(IFacultiesContainer)
+    grok.view(FacultiesContainerPage)
     text = 'Search academic section'
     icon = 'actionicon_search.png'
@@ -468,6 +468,6 @@
 
 #class AddFacultyActionButton(AddActionButton):
-#    grok.context(IFacultyContainer)
-#    grok.view(FacultyContainerPage)
+#    grok.context(IFacultiesContainer)
+#    grok.view(FacultiesContainerPage)
 #    text = 'Add faculty'
     
@@ -504,6 +504,6 @@
 
 #class RemoveFacultyActionButton(RemoveActionButton):
-#    grok.context(IFacultyContainer)
-#    grok.view(FacultyContainerPage)
+#    grok.context(IFacultiesContainer)
+#    grok.view(FacultiesContainerPage)
 #    text = 'Remove faculty'
    
@@ -715,10 +715,10 @@
 
 
-class FacultyContainerListHead(grok.Viewlet):
+class FacultiesContainerListHead(grok.Viewlet):
     """The header line of faculty container subobject lists.
     """
     grok.order(1)
     grok.viewletmanager(SubobjectLister)
-    grok.context(IFacultyContainer)
+    grok.context(IFacultiesContainer)
     grok.require('waeup.viewAcademics')
 
